Bug 1653481 - Review Request: white_dune - 3D modeller/animation tool
Summary: Review Request: white_dune - 3D modeller/animation tool
Keywords:
Status: CLOSED DUPLICATE of bug 1658153
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2018-11-26 23:08 UTC by J. Scheurich
Modified: 2018-12-17 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 17:17:00 UTC


Attachments (Terms of Use)
Next request wdune 0.99 1202 (5.27 KB, text/x-rpm-spec)
2018-12-04 22:05 UTC, J. Scheurich
no flags Details

Description J. Scheurich 2018-11-26 23:08:59 UTC
Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99pl1188-1.src.rpm
Description: white_dune is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: ?

Comment 1 Robert-André Mauchin 2018-11-30 17:16:19 UTC
What's your FAS account? https://admin.fedoraproject.org/accounts
Where is the link to the SPEC file?
The SPEC in the SRPM is not in line with Fedora Packaging Guidelines: read about them https://docs.fedoraproject.org/en-US/packaging-guidelines/

 - Group is not used in Fedora

 - Split BR and RR one per line

 - Correct license shorthand is GPLv3+

 - Version: 0.99pl1188 → Use extraver for pl1188 See https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_unsortable_versions

 - Your list of Requires is weird: does your app really need firefox, pinta, kolourpaint, audacity, lxterminal, ImageMagick, aqsis-core to function? Consider moving them to Recommends instead.

 - Release should contain %{?dist}

Release: 1%{?dist}

 - You could use %autosetup

 - Use the %configure macro

 - Use the %make_build macro

 - Do not use rm -rf $RPM_BUILD_ROOT at the start of install

 - Use %{_bindir}, %{_datadir}, %{_mandir} and so on

 - You should not create this dir yourself

mkdir -p $RPM_BUILD_ROOT/usr/lib/debug/usr/bin/

 - use "install -p" to keep timestamps

 - /usr/lib/rpm/find-debuginfo.sh should not be rin by you, it will be automatically by the build process.

 - Add you name to the %changelog entry, add the release tag to the changelog entry

 - Put the %changelog section at the end of the SPEC after %files

 - Validate the .desktop file: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_desktop_file_install_usage

 - Consider adding an Appdata file: https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/

 
 - Consider doing a mockbuild after you updated your SPEC:

spectool -g *.spec
fedpkg --release f30 srpm
fedpkg --release f30 mockbuild --mock-config fedora-rawhide-x86_64  --no-cleanup-after

 - Run rpmlint on your resulting RPMs

 - Consider doing a scratch build too to see if everything works fine

fedpkg  --release f30 scratch-build --srpm

Comment 2 J. Scheurich 2018-12-04 22:05:08 UTC
Created attachment 1511476 [details]
Next request wdune 0.99 1202

Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99pl1202-1.src.rpm
Description: white_dune is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: ?

Comment 3 J. Scheurich 2018-12-05 23:21:56 UTC
Next update wdune 0.99 1204

Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1204.fc29.src.rpm
Description: white_dune is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 4 Robert-André Mauchin 2018-12-06 19:47:02 UTC
 - Not needed:

%clean
rm -rf $RPM_BUILD_ROOT

%defattr(-,root,root)


BuildRoot: /var/tmp/%{name}buildroot


 - I don't think you *require* all of this to work:

Requires: rcs
Requires: firefox
Requires: kolourpaint
Requires: audacity
Requires: lxterminal
Requires: ImageMagick
Requires: aqsis-core
Requires: bitstream-vera-sans-fonts

 - COPYING.txt must be installed with %license not %doc.

 - Use extraver like this:

%global extraver pl1204

Release: 1.%{extraver}%{?dist}

 - Fix the %changelog


You also need to be sponsored, please read https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 5 J. Scheurich 2018-12-07 12:24:59 UTC
>   - I don't think you *require* all of this to work:
>
> Requires: rcs
> Requires: firefox
> Requires: kolourpaint
> Requires: audacity
> Requires: lxterminal
> Requires: ImageMagick
> Requires: aqsis-core
> Requires: bitstream-vera-sans-fonts

It is not really required, cause the configure or the menu of white_dune accept alternatives
for this software, but it is needed to set a working  default

rcs: white_dune has the abiltiy to write a revison control file on save
This is very useful if you work with kids, which sometimes overwrite written files.

VRML97/X3D can be scripted, white_dune is only a editor, so a VRML97/X3D player is needed.
This can be X_ITE (http://create3000.de/x_ite/getting-started/) which can be used with
any webgl enabled webbroser (like firefox).
Another more efficient VRML97/X3D player is freewrl, but is not part of fedora 8-(

VRML97/X3D supports bitmap Texture files, but gimp is too complicated tor the
-4kids GUI. kolourpaint is better, but pinta would be also a choice.

audacity is needed as sound editor, is not easy to find a program that can edit wav files, which is the
supported sound format in VRML97/X3D.

lxterminal is a simpple xterm replacement for xterm which is needed for the vi editor.
lxterminal starts unlike xterm in a usable geometry.

imagemaick is needed for convert needed to convert texture files to the tif format which is needed
for the aqsis texturer teaqser wich is neded for the .rib export.

bitstream-vera-sans-fonts is needed as ttf file for Text rendeing.

Comment 6 J. Scheurich 2018-12-07 12:26:02 UTC
Next update wdune 0.99 1212

Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1212.fc29.src.rpm
Description: white_dune is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 7 Robert-André Mauchin 2018-12-07 15:10:28 UTC
(In reply to J. Scheurich from comment #5)
> >   - I don't think you *require* all of this to work:
> >
> > Requires: rcs
> > Requires: firefox
> > Requires: kolourpaint
> > Requires: audacity
> > Requires: lxterminal
> > Requires: ImageMagick
> > Requires: aqsis-core
> > Requires: bitstream-vera-sans-fonts
> 
> It is not really required, cause the configure or the menu of white_dune
> accept alternatives
> for this software, but it is needed to set a working  default
> 
> rcs: white_dune has the abiltiy to write a revison control file on save
> This is very useful if you work with kids, which sometimes overwrite written
> files.
> 
> VRML97/X3D can be scripted, white_dune is only a editor, so a VRML97/X3D
> player is needed.
> This can be X_ITE (http://create3000.de/x_ite/getting-started/) which can be
> used with
> any webgl enabled webbroser (like firefox).
> Another more efficient VRML97/X3D player is freewrl, but is not part of
> fedora 8-(
> 
> VRML97/X3D supports bitmap Texture files, but gimp is too complicated tor the
> -4kids GUI. kolourpaint is better, but pinta would be also a choice.
> 
> audacity is needed as sound editor, is not easy to find a program that can
> edit wav files, which is the
> supported sound format in VRML97/X3D.
> 
> lxterminal is a simpple xterm replacement for xterm which is needed for the
> vi editor.
> lxterminal starts unlike xterm in a usable geometry.
> 
> imagemaick is needed for convert needed to convert texture files to the tif
> format which is needed
> for the aqsis texturer teaqser wich is neded for the .rib export.
> 
> bitstream-vera-sans-fonts is needed as ttf file for Text rendeing.

Use Recommends: if this is not hard dependency.

Comment 8 J. Scheurich 2018-12-09 20:48:55 UTC
Next update wdune 0.99 1216

Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1216.fc29.src.rpm
Description: white_dune is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 9 J. Scheurich 2018-12-13 23:38:17 UTC
Contiued at https://bugzilla.redhat.com/show_bug.cgi?id=1658153 cuase the name white_dune should be wdune

Comment 10 Raphael Groner 2018-12-17 17:17:00 UTC

*** This bug has been marked as a duplicate of bug 1658153 ***


Note You need to log in before you can comment on or make changes to this bug.